lyricWiky plugin error
Status: Rejected Start date: July 01, 2017

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/lyricwiki Estimated time: 0.00 hour

Target version:    

Affects version: 3.8.2   

Description

Unable to pearse any lyricWiky response. For example:

Hiba

Nem sikerült értelmezni: http://lyrics.wikia.com/index.php?action=edit&title=Shalamar:Make_That_Move

History

#1 - July 02, 2017 08:13 - Zsolt Bákonyi

pearse = parse

Sorry

#2 - July 02, 2017 13:33 - Thomas Lange

- Assignee deleted (John Lindgren)

What's the exact error message? Is the transport plugin "Neon HTTP/HTTPS" enabled?

#3 - July 02, 2017 20:13 - Zsolt Bákonyi

- File snap1.png added

- File snap2.png added

- File snap3.png added

Yes, Neon plugin is enabled. I can show you only screenshots. They are in Hungarian, because this is the system language.

#4 - July 05, 2017 03:56 - John Lindgren

LANG=C audacious will give error messages in English.  That would be helpful.

#5 - July 05, 2017 08:32 - Zsolt Bákonyi

Thank you for your help. The message is:

Error

Unable to parse http://lyrics.wikia.com/index.php?action=edit&title=D_A_N_C_E_G_R_O_O_V_E_._R_A_D_I_O_-_W_E_P_

L_A_Y_._Y_O_U_R_._I_M_A_G_I_N_A_T_I_O_N_._._._%21_DanceGroove%3AIvan%20-%20Fotonovella%20-%2012%20inch%20-%201

983
#6 - July 08, 2017 01:18 - John Lindgren

If you follow that link, you'll find that it takes you to a new edit page (no lyrics entered yet).  Do songs that are already in the LyricWiki database work

correctly, or do they have the same problem?

#7 - July 08, 2017 01:24 - John Lindgren

- File screenshot.png added

#8 - July 08, 2017 01:26 - John Lindgren

- Target version deleted (74)

The song in your original example works for me:

 screenshot.png 

#9 - July 08, 2017 01:58 - John Lindgren

My best guess right now is that the LyricWiki server is giving you a different response based on IP address, or there is a proxy blocking the download.

Can you please attach the exact HTML file you get from downloading the link in the issue description (

http://lyrics.wikia.com/index.php?action=edit&title=Shalamar:Make_That_Move)?

#10 - July 08, 2017 08:32 - Zsolt Bákonyi

- File Editing Shalamar_Make That Move Lyrics _ LyricWikia _ Fandom powered by Wikia.html added

- File Screenshot_20170708_082024.png added

Files attached. I forgot to mention, LyricWiki plugin was working for long time, both on my machines. ( Ubuntu 14.04LTS and Ubuntu 16.04LTS, 64 bit

) I've noticed this error about 2-3 weeks ago, and it's appeared same time on my machines ( both ). And of course this problem is constant with all of

my song ( few thousands ) but before this it was always working like the charm.

It's a bit strange, why does it want to use the editing page of LyricWiki?

#11 - July 08, 2017 16:18 - John Lindgren

- Status changed from New to Rejected

The HTML is about the same as I get here (which works fine for me).  You'll want to look at what updates you installed on your machines 2-3 weeks

ago to determine what caused the issue.  We've ruled out a bug in Audacious and a proxy issue, so it's likely going to be a bug in one of the libraries

that Audacious depends on (for example, GLib or libxml).

#12 - July 11, 2017 20:18 - Zsolt Bákonyi

Which platform have you tested on?

#13 - July 12, 2017 03:20 - John Lindgren

Zsolt Bákonyi wrote:

Which platform have you tested on?

 

Arch Linux, Debian, FreeBSD, Windows (XP and 10).  LyricWiki works perfectly on all of them.
#14 - July 12, 2017 09:23 - Zsolt Bákonyi

Ok, I understand. Just think about my opinion:

You've tested it on a small ( FreeBSD ) and on a deprecated OS ( XP??? ). Works perfectly. But NOT tested on one of the biggest Linux distribution:

Ubuntu. Does XP matters and Ubuntu not? Why don't you try it on a bare Ubuntu 16.04? If you say LyricWiki works on it, i can accept my machines

fault. But I can't look after what updates I had 2-3 weeks ago, and I don't want to hacking'em, because I update my systems via official apt-get

repository.

Whatever you decide, Audacious is still the best audio player with or without LyricWiki. My  primary consideration was to use a music player with my

USB audio DAC, without any software conversation. And Audacious does it! Perfect! Just LyricWiki confusing a bit,because it was working for a long

time ( I think I used it min. 1 year long ), and suddenly not.

Cheers :)

#15 - July 12, 2017 14:49 - John Lindgren

I'm not affiliated with nor in the business of supporting any particular OS.  If you want support for Ubuntu, hire someone.
